Index: EcnlProtoTool/trunk/asp3_dcre/tinet/net/ppp_ipcp.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tinet/net/ppp_ipcp.c	(revision 321)
+++ EcnlProtoTool/trunk/asp3_dcre/tinet/net/ppp_ipcp.c	(revision 331)
@@ -2,5 +2,5 @@
  *  TINET (TCP/IP Protocol Stack)
  * 
- *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
+ *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
  *
@@ -89,4 +89,5 @@
 #include <net/if_ppp.h>
 #include <net/net.h>
+#include <net/net_endian.h>
 #include <net/net_buf.h>
 #include <net/net_count.h>
@@ -102,6 +103,6 @@
 #include <netinet/ip.h>
 #include <netinet/tcp.h>
+#include <netinet/tcp_var.h>
 #include <netinet/tcp_timer.h>
-#include <netinet/tcp_var.h>
 #include <netinet/udp_var.h>
 
@@ -149,5 +150,5 @@
 	NULL,
 	{
-		IPV4_ADDR_LOCAL,		/* IP アドレス			*/
+		IPV4_ADDR_LOCAL,		/* IPv4 アドレス			*/
 		UINT_C(0),			/* サブネットマスク		*/
 		},
@@ -157,5 +158,5 @@
 	NULL,
 	{
-		IPV4_ADDR_REMOTE,		/* IP アドレス			*/
+		IPV4_ADDR_REMOTE,		/* IPv4 アドレス			*/
 		UINT_C(0),			/* サブネットマスク		*/
 		}
@@ -200,5 +201,5 @@
 	ipcp_open,			/* オープンする			*/
 	ipcp_close,			/* クローズする			*/
-	ip_input,			/* データ入力、IP 入力		*/
+	ip_input,			/* データ入力、IPv4 入力	*/
 	};
 
@@ -307,5 +308,5 @@
 	int_t cilen = 0;
 
-	cilen += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);	/* IP アドレス */
+	cilen += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);	/* IPv4 アドレス */
 
 	return cilen;
@@ -323,8 +324,8 @@
 	buf = output->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
 
-	/* IP アドレスオプションを追加する。 */
+	/* IPv4 アドレスオプションを追加する。 */
 	*buf ++ = IPCP_CIT_ADDR;
 	*buf ++ = sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
-	ahtonl(buf, ipcp_local_neg_cfg.in_ifaddr.addr);
+	ahtonl(buf, ipcp_local_neg_cfg.in4_ifaddr.addr);
 	buf += sizeof(uint32_t);
 	}
@@ -355,5 +356,5 @@
 	    *buf ++ != IPCP_CIT_ADDR			||
 	    *buf ++ != sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)||
-	    nahcmpl(buf, ipcp_local_neg_cfg.in_ifaddr.addr))
+	    nahcmpl(buf, ipcp_local_neg_cfg.in4_ifaddr.addr))
 		return false;
 	buf += sizeof(uint32_t);
@@ -390,5 +391,5 @@
 		buf += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
 		len -= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
-		new_cfg.in_ifaddr.addr = cilong;
+		new_cfg.in4_ifaddr.addr = cilong;
 		}
 
@@ -438,5 +439,5 @@
 		buf += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
 		len -= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
-		new_cfg.in_ifaddr.addr = 0;
+		new_cfg.in4_ifaddr.addr = 0;
 		}
 
@@ -499,5 +500,5 @@
 		switch (type) {
 
-		case IPCP_CIT_ADDR:	/* IP アドレス */
+		case IPCP_CIT_ADDR:	/* IPv4 アドレス */
 
 		 	/* CI 長が、ヘッダ + 4 オクテットでなければエラー */
@@ -506,20 +507,20 @@
 			else {
 				ntoahl(addr, ap);
-				if (addr != ipcp_remote_neg_cfg.in_ifaddr.addr &&
-				    (addr == 0 || ipcp_remote_neg_cfg.in_ifaddr.addr != 0)) {
+				if (addr != ipcp_remote_neg_cfg.in4_ifaddr.addr &&
+				    (addr == 0 || ipcp_remote_neg_cfg.in4_ifaddr.addr != 0)) {
 					*np ++ = IPCP_CIT_ADDR;
 					*np ++ = sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
-					ahtonl(np, ipcp_remote_neg_cfg.in_ifaddr.addr);
+					ahtonl(np, ipcp_remote_neg_cfg.in4_ifaddr.addr);
 					np  += sizeof(uint32_t);
 					code = PPP_CONFNAK;
 					}
 #if 1	/* 要確認 */
-				else if (addr == 0 && ipcp_remote_neg_cfg.in_ifaddr.addr == 0)
+				else if (addr == 0 && ipcp_remote_neg_cfg.in4_ifaddr.addr == 0)
 #else
-				else if (addr == 0 || ipcp_remote_neg_cfg.in_ifaddr.addr == 0)
+				else if (addr == 0 || ipcp_remote_neg_cfg.in4_ifaddr.addr == 0)
 #endif
 					code = PPP_CONFREJ;
 				else
-					ipcp_remote_neg_cfg.in_ifaddr.addr = addr;
+					ipcp_remote_neg_cfg.in4_ifaddr.addr = addr;
 				}
 			break;
@@ -582,7 +583,7 @@
 	/*
 	 *  サブネットマスクと
-	 *  ローカル・ブロードキャスト IP アドレスを設定する。
+	 *  ローカル・ブロードキャスト IPv4 アドレスを設定する。
 	 */
-	ipcp_local_ack_cfg.in_ifaddr.mask = MAKE_IPV4_LOCAL_MASK(ipcp_local_neg_cfg.in_ifaddr.addr);
+	ipcp_local_ack_cfg.in4_ifaddr.mask = MAKE_IPV4_LOCAL_MASK(ipcp_local_neg_cfg.in4_ifaddr.addr);
 
 	/* 相手の構成情報の初期設定 */
@@ -591,13 +592,13 @@
 	/*
 	 *  サブネットマスクと
-	 *  ローカル・ブロードキャスト IP アドレスを設定する。
+	 *  ローカル・ブロードキャスト IPv4 アドレスを設定する。
 	 */
-	ipcp_remote_ack_cfg.in_ifaddr.mask = MAKE_IPV4_LOCAL_MASK(ipcp_remote_neg_cfg.in_ifaddr.addr);
+	ipcp_remote_ack_cfg.in4_ifaddr.mask = MAKE_IPV4_LOCAL_MASK(ipcp_remote_neg_cfg.in4_ifaddr.addr);
 
 	sig_sem(SEM_IPCP_READY);
 
-	syslog(LOG_NOTICE, "[PPP/IPCP] up, Local IP Addr: %s, Remote IP Addr: %s.",
-	                   ip2str(NULL, &ipcp_local_neg_cfg.in_ifaddr.addr),
-	                   ip2str(NULL, &ipcp_remote_neg_cfg.in_ifaddr.addr));
+	syslog(LOG_NOTICE, "[PPP/IPCP] up, Local IPv4 Addr: %s, Remote IPv4 Addr: %s.",
+	                   ip2str(NULL, &ipcp_local_neg_cfg.in4_ifaddr.addr),
+	                   ip2str(NULL, &ipcp_remote_neg_cfg.in4_ifaddr.addr));
 	}
 
